﻿using System;
using System.Diagnostics;
using System.IO;
using System.Net;
using System.Net.Http;
using System.Net.Http.Headers;
using System.Text;

namespace reminders
{
    public class reminders_rest
    {
        public static void Main(string[] args)
        {

            string apiKey = "YOUR_API_KEY";
            string url = "https://sandbox.e-signlive.com/api";

            //json string to create your reminder schedule
            string jsonString = "{ \"startInDaysDelay\": 2, \"repetitionsCount\": 2, \"intervalInDays\": 2, \"packageId\": \"ebfcf18f-7bbc-4ff6-a5db-6352dbbfa9f6\"}";

            StringContent jsonContent = new StringContent(jsonString, Encoding.UTF8, "application/json");

            HttpClient myClient = new HttpClient();
            myClient.DefaultRequestHeaders.Authorization = new AuthenticationHeaderValue("Basic", apiKey);
            myClient.DefaultRequestHeaders.Add("Accept", "application/json");

            var response = myClient.GetAsync(new Uri(url) + "/packages/{pacakgeId}/reminders").Result;
            Debug.WriteLine(response.Content.ReadAsStringAsync().Result);
        }
    }
}
